Revoke a Document Signer
Revokes an existing Document Signer, making it unusable for signing new mDocs.
If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked Document Signers and any mDocs they signed as untrusted.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>documentSignerId*stringDocument Signer identifier
uuidapplication/json- body
Empty request body for document signer revocation
Document Signer revoked
application/json- response
revoked*booleanIndicates whether this document signer has been revoked
revocationDate*stringISO 8601 timestamp indicating when the Document Signer was revoked
curl -X POST "https://example.com/v2/credentials/mobile/document-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke" \ -H "Content-Type: application/json" \ -d '{}'{ "revoked": true, "revocationDate": "2025-10-31T23:59:59Z"}How would you rate this page?
Create a Document Signer POST
Creates a new Document Signer that can be used to sign new mDocs. - Only available in implementations using unmanaged (external) IACAs. - A maximum of five Document Signers can be created per tenant.
Retrieve all Document Signers GET
Retrieves all existing Document Signers from the tenant.